html,body{
    background-color: #eaf0f1;
    margin: 0;
    padding: 0;
    height: 100%;
    border-top: 1px solid black;
    width: 100%;
    overflow-x: hidden;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center; 

}

header{
    
    position: sticky;
    top: 0;
    
    background-color: rgb(0, 0, 0);
    display: flex;
    border: 1px solid rgb(121, 165, 162);
    width: 100%;
}



.header_i{
    
    font-size: 18px;
    height: 55px;
}

.header_c{
    font-size: 18px;
    height: 55px;
}

.header_g{
    font-size: 18px;
    height: 55px;
}

.header_z{
    font-size: 18px;
    height: 55px;
}


@media screen and (max-width: 450px) {
    .header_i{
       font-size: 16px;
       margin-left: 0%;
       width: 100.5vw;
    }

}



@media screen and (max-width: 450px) {
    .header_c{
       font-size: 16px;
       margin-left: 0%;
       width: 100.5vw;
    }

}


@media screen and (max-width: 450px) {
    .header_g{
       font-size: 16px;
       margin-left: 0%;
       width: 100.5vw;
    }

}

@media screen and (max-width: 450px) {
    .header_z{
       font-size: 16px;
       margin-left: 0%;
       width: 100.5vw;
    }

}

.container {
    white-space: nowrap;
    margin-left: auto;
    margin-right:auto ;
    
    gap: 4%;
    display: flex;
    flex-direction: row;
    font-family:'Trebuchet MS';
    
}

@media screen and (max-width: 450px) {
    .container{
       margin-right: 14%;

    }

}
@media screen and (max-width: 450px) and (min-width: 400px){
    .container{
       margin-right: 18%;

    }

}


header a{
    text-decoration: none;
    color: rgb(255, 255, 255);
}

#main{
    height: 60%;
}

.index{
    font-family:'Trebuchet MS';
    color: rgb(0, 0, 0);
    border-radius: 1%;
    text-align: center;
    font-size: 14px;
    
    margin: 5%;   
}



@media screen and (max-width: 450px) {
    .index{
       font-size: 10px;
       margin-right: 5%;
    }

}
@media screen and (min-width: 1025px) {
    .index{
        font-size: 25px;
        width: 60%;
        margin-left: 20%;
    }

}

@media screen and (min-height: 1024px) {
    .index{
        font-size: 25px;
        width: 70%;
        margin-left: 18%;
        margin-top: 8%;
    }

}
@media screen and (min-width: 1023px) and (max-height: 651px){
    .index{
        margin-top: 0;
        font-size: 20px;
    }
}

@media screen and (min-width: 1439px)  and (max-height: 651px){
    .index{
        margin-top: 0;
        font-size: 21px;
    }
    }

    @media screen and (min-width: 2559px)  and (max-height: 651px){
        .index{
            margin-top: 0;
            font-size: 24px;
        }
        }

.logo {
    position: absolute;
    top: 10px; /* Dopasuj do wyglądu */
    left: 10px;
    z-index: 1;
}

@media screen and (min-width: 300px) and (max-width: 470px){
    .logo {
        position: absolute;
        top: 35px; /* Dopasuj do wyglądu */
        left: 1px;
        z-index: 1;
    }
    .lg1{
      width: 25%;
      height: 25%;
    }

}

@media screen and (min-width:480px) and (max-width:1780px){
    .logo {
        position: absolute;
        top: 35px; /* Dopasuj do wyglądu */
        left: 1px;
        z-index: 1;
    }
    .lg1{
      width: 25%;
      height: 25%;
    }
}

@media screen and (min-width:980px) and (max-width:1780px){
    .logo {
        position: absolute;
        top: 35px; /* Dopasuj do wyglądu */
        left: 1px;
        z-index: 1;
    }
    .lg1{
      width: 40%;
      height: 40%;
    }
}


.rds{
    color:rgb(1, 4, 172);
}


.cele{
    font-family:'Trebuchet MS';
    color: rgb(172, 253, 226);
    border-radius: 1%;
    text-align: center;
    font-size: 12px;
    background-color: rgba(0, 0, 0, 0.9);
    margin: 5%; 
    margin-top: 6%;
    
}

@media screen and (min-width: 1025px) {
    .cele{
        font-size: 25px;
        width: 60%;
        margin-left: 19%;
    }

}



footer{
    font-family:'Trebuchet MS';
    color: rgb(155, 155, 155);
    background-color: black;
    width: 100%;
    text-align: center;
    font-size: 12px;
    margin-bottom: 0;
    height: 30%;
}



.galeria{
    font-family:'Trebuchet MS';
    color: rgb(0, 0, 0);
    border-radius: 1%;
   
    font-size: 11px;
    margin: 3%; 
    text-align: center;
    height: 100%;
    
   
}

.text{
    position: relative; /* Potrzebne do działania z-index */
    z-index: 10;
}

@media screen and (min-width: 1023px) and (max-height: 651px){
.text{
    margin-top: -25px;
    font-size: 10px;
}
}
@media screen and (min-width: 1439px)  and (max-height: 651px){
    .text{
        margin-top: -25px;
        font-size: 12px;
    }
    }

    @media screen and (min-width: 2559px)  and (max-height: 651px){
        .text{
            margin-top: -25px;
            font-size: 13px;
        }
        }


.z1{
    width: 100px;
    height: 100px;
}
.uno{
    margin: 0px;
}

.img2{
    width: 250px;
    height: 400px;
}
.foto{
    
    width: 100%;
    height: 100%;
}

.textPartner{
    font-size:130%;
}
.partner{
    margin-top:2%;
    margin-right: 65%;
}
.partnerImg{
    width: 30%;
}

@media screen and (min-width: 1023px) {
    .galeria{
        font-size: 17px;
        width: 60%;
        margin-left: 19%;
        margin-bottom: 5%;
    }

}

@media screen and (min-height: 1024px) {
    .galeria{
        font-size: 15px;
        width: 80%;
        margin-left: 10%;
        margin-top: 8%;
    }

}

@media screen and (min-width: 300px) and (max-width: 390px){
    .galeria{
        font-size: 10px;
        width: 90%;
        margin-left: 5%;
        margin-top: 1%;
    }

}

.zdjecia{

    
    
    margin-left: 5%;
    margin-top:5%;
    
    margin-bottom: 5%;
}
.gallery {
    background: linear-gradient(
        60deg,
        rgba(255, 255, 255, 0.1),
        rgba(255, 255, 255, 0.5)
    );
    border-radius: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    list-style-type: none;
    padding: 64px;
}
@media screen and (min-width:319px) and (max-width:500px){
    .gallery {
        background: linear-gradient(
            60deg,
            rgba(255, 255, 255, 0.1),
            rgba(255, 255, 255, 0.5)
        );
        border-radius: 20px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-evenly;
        list-style-type: none;
        padding: 0;
    }
}
.thumbnail {
    border: solid 3px rgba(255, 255, 255, 0.9);
    border-radius: 15px;
    box-shadow: 0 0 48px 2px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    margin: 32px;
    max-height: 200px;
    max-width: 300px;
    overflow: hidden;
    transform: scale(1);
    transition: transform 0.3s;
}

@media screen and (min-width:319px) and (max-width:500px){
    .thumbnail{
        border: solid 3px rgba(255, 255, 255, 0.9);
    border-radius: 15px;
    box-shadow: 0 0 48px 2px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    margin: 32px;
    max-height: 50px;
    max-width: 75px;
    overflow: hidden;
    transform: scale(1);
    transition: transform 0.3s;
    }
}

.thumbnail:hover {
    transform: scale(1.2);
}

.thumbnail img {
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.thumbnail img:focus,
.thumbnail img:focus {
    border: solid 5px rgb(78, 76, 226);
}

.popup {
    align-content: center;
    animation: fadeIn 0.3s;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    height: 100vh;
    left: 0;
    position: fixed;
    top: 0;
    width: 100vw;
}

.popup.hidden {
    display: none;
}

.popup.fade-out {
    animation: fadeOut 0.3s both;
}

.popup__img {
    max-height: 80%;
    max-width: 80%;
}

.popup__close {
    background-color: transparent;
    border: none;
    color: #fff;
    cursor: pointer;
    font-size: 128px;
    position: fixed;
    right: 64px;
    top: 64px;
}

.popup__arrow {
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 128px;
    height: 128px;
    line-height: 128px;
    position: absolute;
    top: 50%;
    width: 128px;
}

.popup__close,
.popup__arrow {
    opacity: 0.5;
    transition: opacity 0.3s;
}

.popup__close:hover,
.popup__arrow:hover {
    opacity: 1;
}

.popup__arrow--left {
    left: 5%;
}

.popup__arrow--right {
    right: 5%;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}